Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGComponentTransferFunctionElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement

All Known Subinterfaces:
  SVGFEFuncAElement, SVGFEFuncBElement, SVGFEFuncGElement, SVGFEFuncRElement

All Known Implementing Classes:
  SVGOMComponentTransferFunctionElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement

public interface SVGComponentTransferFunctionElement
extends SVGElement

Field Summary
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_GAMMA`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_LINEAR`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_TABLE`
`static short` | `SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` | `getAmplitude()`
`SVGAnimatedNumber` | `getExponent()`
`SVGAnimatedNumber` | `getIntercept()`
`SVGAnimatedNumber` | `getOffset()`
`SVGAnimatedNumber` | `getSlope()`
`SVGAnimatedNumberList` | `getTableValues()`
`SVGAnimatedEnumeration` | `getType()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY

See Also:
  Constant Field Values

### SVG_FECOMPONENTTRANSFER_TYPE_TABLE

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_TABLE

See Also:
  Constant Field Values

### SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE

See Also:
  Constant Field Values

### SVG_FECOMPONENTTRANSFER_TYPE_LINEAR

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_LINEAR

See Also:
  Constant Field Values

### SVG_FECOMPONENTTRANSFER_TYPE_GAMMA

    public static final short SVG_FECOMPONENTTRANSFER_TYPE_GAMMA

See Also:
  Constant Field Values

Method Detail

### getType

    public SVGAnimatedEnumeration getType()

### getTableValues

    public SVGAnimatedNumberList getTableValues()

### getSlope

    public SVGAnimatedNumber getSlope()

### getIntercept

    public SVGAnimatedNumber getIntercept()

### getAmplitude

    public SVGAnimatedNumber getAmplitude()

### getExponent

    public SVGAnimatedNumber getExponent()

### getOffset

    public SVGAnimatedNumber getOffset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.